Subject: bug#7771: 23.1; can't turn off font-lock-mode globally

From: Lennart Borgman <[email-masked]>
Date: Mon, 3 Jan 2011 17:42:48 +0100

On Mon, Jan 3, 2011 at 4:55 AM, Stefan Monnier <[email-masked]> wrote:
>
> As mentioned above, this is the same issue as M-x grep.  I hope we can
> fix it for Emacs-24 (by making compile.el use syntax-propertize-function
> rather than font-lock), but for Emacs-23 the only solution I can offer
> is to configure the relevant faces so they look the same as default.

Would it be possible to make a quick fix for needs like those we are
discussing here by just allowing font-lock to set a property 'noface
instead of face? Or perhaps allow the display engine to bypass the
'face property?